curl --request GET \
--url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/metadata/{key} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/metadata/{key}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/{instance_id}/metadata/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}Get instance tag
Get a specific tag by its key from the specified instance.
This endpoint does not support special characters in keys.
Use /v2/instances/…/metadata_item instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Region ID
Instance ID
Tag key
Response
Instance tag
A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
"my-tag"
If true, the tag is read-only and cannot be modified by the user
false
Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
"my-tag-value"
Was this page helpful?